Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.caucho.xsl
Class XslParseException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.io.IOException
                        |
                        +--com.caucho.xsl.XslParseException

All Implemented Interfaces:
  java.io.Serializable

public class XslParseException
extends java.io.IOException

See Also:
  Serialized Form

Field Summary
`protected java.lang.Exception` | `e`

Constructor Summary
`XslParseException()`
`XslParseException(java.lang.Exception wrapper)`
`XslParseException(java.lang.String msg)`

Method Summary
`static XslParseException` | `create(java.lang.String msg)` Hack for js.
`java.lang.Exception` | `getCause()`
`java.lang.String` | `getMessage()`
`void` | `printStackTrace()`
`void` | `printStackTrace(java.io.PrintStream os)`
`void` | `printStackTrace(java.io.PrintWriter pw)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### e

    protected java.lang.Exception e

Constructor Detail

### XslParseException

    public XslParseException()

### XslParseException

    public XslParseException(java.lang.String msg)

### XslParseException

    public XslParseException(java.lang.Exception wrapper)

Method Detail

### create

    public static XslParseException create(java.lang.String msg)

  Hack for js.

### getCause

    public java.lang.Exception getCause()

### getMessage

    public java.lang.String getMessage()

  Overrides:
    `getMessage` in class `java.lang.Throwable`

### printStackTrace

    public void printStackTrace()

  Overrides:
    `printStackTrace` in class `java.lang.Throwable`

### printStackTrace

    public void printStackTrace(java.io.PrintStream os)

  Overrides:
    `printStackTrace` in class `java.lang.Throwable`

### printStackTrace

    public void printStackTrace(java.io.PrintWriter pw)

  Overrides:
    `printStackTrace` in class `java.lang.Throwable`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Throwable`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD